## name.milesparker.epi.region
Enum CommunityInfectionStatusEnum

    java.lang.Object
      java.lang.Enum<CommunityInfectionStatusEnum>
          name.milesparker.epi.region.CommunityInfectionStatusEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CommunityInfectionStatusEnum>

    public enum CommunityInfectionStatusEnum

extends java.lang.Enum<CommunityInfectionStatusEnum>

Community Infection Status Java Implementation. Generated by AMF for model: EpidemicRegional.metaabm in project: org.eclipse.amp.amf.examples.escape

Enum Constant Summary
`infectionsObserved`
`noInfections`
`originCity`

Method Summary
`java.lang.String` `toString()`
`static CommunityInfectionStatusEnum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CommunityInfectionStatusEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### originCity

    public static final CommunityInfectionStatusEnum originCity

### infectionsObserved

    public static final CommunityInfectionStatusEnum infectionsObserved

### noInfections

    public static final CommunityInfectionStatusEnum noInfections

Method Detail

### values

    public static CommunityInfectionStatusEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CommunityInfectionStatusEnum c : CommunityInfectionStatusEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CommunityInfectionStatusEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CommunityInfectionStatusEnum>`